#ifndef SPECTRE_SYSTEM_LOG_FILEWRITER_H
#define SPECTRE_SYSTEM_LOG_FILEWRITER_H

#include <stdio.h>
#include <string>
#include <Spectre/System/Log/Writer.h>

namespace sp { namespace log {

class FileWriter : public Writer
{
public:
	FileWriter(const std::string file = "");
	~FileWriter();

	bool open(const std::string file);

	bool close();

	size_t write(const void *data, size_t len);

protected:

	FILE *m_fd;
};


} } // sp::log

#endif /* SPECTRE_SYSTEM_LOG_FILEWRITER_H */